Subject: bug#67545: wrap-program gives different argv[0] for Python scripts

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 11 Dec 2023 23:23:58 -0500

Hi,

Rikard Nordgren <[email-masked]> writes:

> For example the meld package is using wrap-program and the name of the
> actual meld executable will be .meld-real. The idea is that the -a
> option to exec in the wrapper script should change the name of argv[0],
> but for Python scripts this doesn't work. This means that when doing
> "meld --version" it gives ".meld-real 3.22.0" instead of the expected
> "meld 3.22.0". Any ideas on how this could be fixed?

We already have a solution, in the form of 'wrap-script'.  I have an old
series changing pyproject-build-system to use it instead of wrap-program
for core-updates, perhaps I should revive it.

-- 
Thanks,
Maxim